Up

# NSPointerFunctions class documentation

### Authors

Richard Frith-Macdonald (`rfm@gnu.org`)

Copyright: (C) 2008 Free Software Foundation, Inc.

# Software documentation for the NSPointerFunctions class

## NSPointerFunctions : NSObject

> Declared in:
>   Foundation/NSPointerFunctions.h

> Conforms to:
>   NSCopying

Availability: MacOS-X 10.5.0
Description forthcoming.
Method summary

- +pointerFunctionsWithOptions:
- -acquireFunction
- -descriptionFunction
- -hashFunction
- -initWithOptions:
- -isEqualFunction
- -relinquishFunction
- -setAcquireFunction:
- -setDescriptionFunction:
- -setHashFunction:
- -setIsEqualFunction:
- -setRelinquishFunction:
- -setSizeFunction:
- -setUsesStrongWriteBarrier:
- -setUsesWeakReadAndWriteBarriers:
- -sizeFunction
- -usesStrongWriteBarrier
- -usesWeakReadAndWriteBarriers

### pointerFunctionsWithOptions:

+ (id) pointerFunctionsWithOptions: (NSPointerFunctionsOptions)options;
Availability: MacOS-X 10.5.0
Description forthcoming.

### acquireFunction

- (void*(*)(const void*item,NSUInteger(*size)(const void*item),BOOL shouldCopy)) acquireFunction;
Availability: MacOS-X 10.5.0
Description forthcoming.

### descriptionFunction

- (NSString*(*)(const void*item)) descriptionFunction;
Availability: MacOS-X 10.5.0
Description forthcoming.

### hashFunction

- (NSUInteger(*)(const void*item,NSUInteger(*size)(const void*item))) hashFunction;
Availability: MacOS-X 10.5.0
Description forthcoming.

### initWithOptions:

- (id) initWithOptions: (NSPointerFunctionsOptions)options;
Availability: MacOS-X 10.5.0
Description forthcoming.

### isEqualFunction

- (BOOL(*)(const void*item1,const void*item2,NSUInteger(*size)(const void*item))) isEqualFunction;
Availability: MacOS-X 10.5.0
Description forthcoming.

### relinquishFunction

- (void(*)(const void*item,NSUInteger(*size)(const void*item))) relinquishFunction;
Availability: MacOS-X 10.5.0
Description forthcoming.

### setAcquireFunction:

- (void) setAcquireFunction: (void*(*)(const void*item,NSUInteger(*size)(const void*item),BOOL shouldCopy))func;
Availability: MacOS-X 10.5.0
Description forthcoming.

### setDescriptionFunction:

- (void) setDescriptionFunction: (NSString*(*)(const void*item))func;
Availability: MacOS-X 10.5.0
Description forthcoming.

### setHashFunction:

- (void) setHashFunction: (NSUInteger(*)(const void*item,NSUInteger(*size)(const void*item)))func;
Availability: MacOS-X 10.5.0
Description forthcoming.

### setIsEqualFunction:

- (void) setIsEqualFunction: (BOOL(*)(const void*item1,const void*item2,NSUInteger(*size)(const void*item)))func;
Availability: MacOS-X 10.5.0
Description forthcoming.

### setRelinquishFunction:

- (void) setRelinquishFunction: (void(*)(const void*item,NSUInteger(*size)(const void*item)))func;
Availability: MacOS-X 10.5.0
Description forthcoming.

### setSizeFunction:

- (void) setSizeFunction: (NSUInteger(*)(const void*item))func;
Availability: MacOS-X 10.5.0
Description forthcoming.

### setUsesStrongWriteBarrier:

- (void) setUsesStrongWriteBarrier: (BOOL)flag;
Availability: MacOS-X 10.5.0
Description forthcoming.

### setUsesWeakReadAndWriteBarriers:

- (void) setUsesWeakReadAndWriteBarriers: (BOOL)flag;
Availability: MacOS-X 10.5.0
Description forthcoming.

### sizeFunction

- (NSUInteger(*)(const void*item)) sizeFunction;
Availability: MacOS-X 10.5.0
Description forthcoming.

### usesStrongWriteBarrier

- (BOOL) usesStrongWriteBarrier;
Availability: MacOS-X 10.5.0
Description forthcoming.

### usesWeakReadAndWriteBarriers

- (BOOL) usesWeakReadAndWriteBarriers;
Availability: MacOS-X 10.5.0
Description forthcoming.

Up